QGIS Application - Bug report #7425

Unstable icon sizes in floating toolbars crash qgis (Win7)

2013-03-23 04:53 AM - Nick Nourse

Status: Closed
Priority: High
Assignee:

Category: GUI

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: wontfix

Copied to github as #: 16387

Description

There is a stability issue with icon sizing in the Windows 1.8.0 version:

Set icon size to 16 via Settings\\Options\\General
Deploy floating toolbars

Issue is stable until a restart. After restart, the docked toolbars show icon size 16, but the floating toolbars show icon size 24. Qgis can
then crash in qgis.exe. Have only encountered the issue with the following settings so cannot say if the problem occurs with all styles and

icon sets.

Qgis version = Windows 1.8.0-Lisboa / code revision f440b60

(System = Win7 Pro SP1, 32-bit, AMD Athlon Dual core 4450e 2.3Ghz, 3Gb RAM)

Qgis style = Cleanlooks
Icon theme = GIS
Icon size = 16

History

#1 - 2014-06-21 11:56 AM - Jiirgen Fischer
- Category set to GUI

#2 - 2017-03-07 11:15 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes
- Resolution set to wontfix

- Priority changed from Normal to High

- Status changed from Open to Closed
